### Hierarchy

- PlayerToGameEventHandler

### Implements

- IEventHandler

## Index

### Constructors

- constructor

### Properties

- eventName
- handler

## Constructors

### constructor

- new PlayerToGameEventHandler(handler: function): PlayerToGameEventHandler

- - Defined in Handlers.ts:37

  #### Parameters

  - ##### handler: function

    - - (message: PlayerToGameMessage): void

      - #### Parameters

        - ##### message: PlayerToGameMessage

        #### Returns void

  #### Returns PlayerToGameEventHandler

## Properties

### eventName

eventName: Game__Player

Implementation of IEventHandler.eventName

- Defined in Handlers.ts:37

### handler

handler: function

Implementation of IEventHandler.handler

- Defined in Handlers.ts:38

#### Type declaration

- - (message: PlayerToGameMessage): void

  - #### Parameters

    - ##### message: PlayerToGameMessage

    #### Returns void

Generated using TypeDoc